Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class RecordImpl

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ee.RecordImpl

All Implemented Interfaces:
  Cloneable, javax.resource.cci.Record, Serializable

public class RecordImpl
extends Object
implements javax.resource.cci.Record, Cloneable

No-op RecordImpl for JCA support.

See Also:
  Serialized Form

Constructor Summary
`RecordImpl()`

Method Summary
`Object` | `clone()`
`String` | `getRecordName()`
`String` | `getRecordShortDescription()`
`void` | `setRecordName(String recordName)`
`void` | `setRecordShortDescription(String recordShortDescription)`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.cci.Record
`equals, hashCode`

Constructor Detail

### RecordImpl

    public RecordImpl()

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Specified by:
    `clone` in interface `javax.resource.cci.Record`
  Overrides:
    `clone` in class `Object`

### setRecordName

    public void setRecordName(String recordName)

  Specified by:
    `setRecordName` in interface `javax.resource.cci.Record`

### getRecordName

    public String getRecordName()

  Specified by:
    `getRecordName` in interface `javax.resource.cci.Record`

### setRecordShortDescription

    public void setRecordShortDescription(String recordShortDescription)

  Specified by:
    `setRecordShortDescription` in interface `javax.resource.cci.Record`

### getRecordShortDescription

    public String getRecordShortDescription()

  Specified by:
    `getRecordShortDescription` in interface `javax.resource.cci.Record`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.